Skip to main content
`Ctrl`+`K`

# EPSKrylovSchurSetDetectZeros

Sets a flag to enforce detection of zeros during the factorizations throughout the spectrum slicing computation.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSKrylovSchurSetDetectZeros(EPS eps,PetscBool detect)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- detect - check for zeros

## Options Database Key

- -eps_krylovschur_detect_zeros - check for zeros

## Notes

This flag makes sense only for spectrum slicing runs, that is, when an interval has been given with `EPSSetInterval()` and `STSINVERT` is set. See more details in section Spectrum Slicing.

A zero in the factorization indicates that a shift coincides with an eigenvalue.

This flag is turned off by default, and may be necessary in some cases, especially when several partitions are being used. This feature currently requires an external package for factorizations with support for zero detection, e.g. MUMPS.

## See Also

EPS: Eigenvalue Problem Solver, Spectrum Slicing, `EPSKRYLOVSCHUR`, `EPSKrylovSchurSetPartitions()`, `EPSSetInterval()`

## Level

advanced

## Location

src/eps/impls/krylov/krylovschur/krylovschur.c

## Examples

src/eps/tutorials/ex25.c

## Implementations

EPSKrylovSchurSetDetectZeros_KrylovSchur() in src/eps/impls/krylov/krylovschur/krylovschur.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages